Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin.binqueue
Class BinQueueAnalyse

    java.lang.Object
      mauda.plugin.binqueue.BinQueueAnalyse

All Implemented Interfaces:
  Analysable

    public class BinQueueAnalyse

extends java.lang.Object
implements Analysable

Description

Author:
  Markus Krebs

Constructor Summary
`BinQueueAnalyse()`

Method Summary
`OperationQueue` | `autoGen(java.lang.Object o, OperationQueue givenOperations, int difficulty, int mode)` Calculates the todo-operations for the current data-structure
`OperationQueue[]` | `fullAutomatic(java.lang.Object o, OperationQueue initOQ, OperationQueue scrambleOQ, OperationQueue autoGenOQ, int difficulty, int mode)` Generates a complete exercise from the given parameters.
`OperationQueue` | `getOperations(java.lang.Object o)` Calculates all possible different Operation's at the current-state of the data-structure.
`OperationQueue` | `init(java.lang.Object o, OperationQueue givenOperations, int difficulty, int mode)` Calculates operations to initialize a data-structure
`OperationQueue` | `scramble(java.lang.Object o, OperationQueue givenOperations, int difficulty, int mode)` Calculates operations to scramble the current data-structure

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinQueueAnalyse

    public BinQueueAnalyse()

Method Detail

### getOperations

    public OperationQueue getOperations(java.lang.Object o)

  Description copied from interface: `Analysable`
  Calculates all possible different Operation's at the current-state of the data-structure. In the case of FibHeap from each intervall, defined by the current values, one Operation will be returned.

  Specified by:
    `getOperations` in interface `Analysable`
  Parameters:
    `o` - data-structure
  Returns:
    OperationQueue

### init

    public OperationQueue init(java.lang.Object o,
                               OperationQueue givenOperations,
                               int difficulty,
                               int mode)

  Description copied from interface: `Analysable`
  Calculates operations to initialize a data-structure

  Specified by:
    `init` in interface `Analysable`
  Parameters:
    `o` - data-structure
    `givenOperations` - OperationQueue that contains the candidates for initializing (Parameters not defined)
    `difficulty` - difficulty-ID
    `mode` - exercise-mode (NORMAL vs. FAULT)
  Returns:
    The instanciated Operations from the given Operations, what means that the parameters from givenOperations are filled

### scramble

    public OperationQueue scramble(java.lang.Object o,
                                   OperationQueue givenOperations,
                                   int difficulty,
                                   int mode)

  Description copied from interface: `Analysable`
  Calculates operations to scramble the current data-structure

  Specified by:
    `scramble` in interface `Analysable`
  Parameters:
    `o` - data-structure
    `givenOperations` - OperationQueue of Operations without parameters
    `difficulty` - difficulty-ID
    `mode` - exercise-mode (NORMAL vs. FAULT)
  Returns:
    Intanciated Operations (parameters filled)

### autoGen

    public OperationQueue autoGen(java.lang.Object o,
                                  OperationQueue givenOperations,
                                  int difficulty,
                                  int mode)

  Description copied from interface: `Analysable`
  Calculates the todo-operations for the current data-structure

  Specified by:
    `autoGen` in interface `Analysable`
  Parameters:
    `o` - data-structure
    `givenOperations` - OperationQueue of Operations without parameters
    `difficulty` - difficulty-ID
    `mode` - exercise-mode (NORMAL vs. FAULT)
  Returns:
    todo-operations

### fullAutomatic

    public OperationQueue[] fullAutomatic(java.lang.Object o,
                                          OperationQueue initOQ,
                                          OperationQueue scrambleOQ,
                                          OperationQueue autoGenOQ,
                                          int difficulty,
                                          int mode)

  Description copied from interface: `Analysable`
  Generates a complete exercise from the given parameters.
  This methods calls init, scramble and autoGen to generate the exercise.

  Specified by:
    `fullAutomatic` in interface `Analysable`
  Parameters:
    `o` - data-structure.
    `initOQ` - OperationQueue used for initializing
    `scrambleOQ` - OperationQueue used for scrambling
    `autoGenOQ` - OperationQueue used to generate the todo-operations
    `difficulty` - difficulty-ID
    `mode` - exercise-mode (NORMAL vs. FAULT)
  Returns:
    init-operations and todo-operations as a 2-dim Array (1st init, 2nd todo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD